@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
}
/* Set all elements to use the Poppins */
body,
input,
textarea,
button,
select {
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

/* Set the background color of all pages */
html,
body {
  background-color: #f2f2f2;
}

/* Set the style of the navigation list */
header nav ul {
  background-color: white;
  border-bottom: 1px solid #ccc;
  box-sizing: border-box;
  list-style: none;
  margin-top: 0;
  margin-bottom: 2em;
  padding: 0 0 0 1em;
}

/* Set the spacing and layout of the nav list items */
header nav ul li {
  display: inline-block;
  margin: 0 1em;
  padding: 1em 0 1em 0;
}

/* Set the style of the links in the nav */
header nav ul li a {
  font-weight: bold;
  text-decoration: none;
}

/* Make the select boxes look nicer */
select {
  height: 2.5em;
}

/* Make the select-multiple boxes look nicer */
select[multiple] {
  height: 7.5em;
}

/* Make the textarea inputs look nicer */
textarea {
  margin: 0;
  padding: 0.25em 0.5em;
}

/* Set the width on all tables */
table {
  width: 100%;
}

/* Set the size of the help text in forms */
.helptext {
  display: block;
  font-size: 80%;
}

/* Make the login and sign-up forms look nicer */
.login-form,
.signup-form {
  background-color: rgb(255, 255, 255);
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  margin: auto;
  max-width: 400px;
  padding: 2em;
}

/* Adjust the spacing and add border radius to form fields within the custom form */
.custom-form input[type="text"],
.custom-form input[type="password"] {
  margin-bottom: 10px; /* Adjust the bottom margin as needed */
  padding: 8px; /* Adjust the padding as needed */
  border-radius: 10px; /* Add border radius */
  border-style: solid;
  border-color: rgb(11, 99, 247);
  height: 35px;
}

/* Make the task and projects forms look nicer */
.task-form,
.project-form {
  background-color: white;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  margin: auto;
  max-width: 600px;
  padding: 2em;
}

/* Make input and select elements nicer */
input,
select {
  padding: 5px;
  height: 45px;
  margin-bottom: 5px;
  border-radius: 4px;
  border: 2px solid;
}
textarea {
  padding: 5px;
  height: 45px;
  margin-bottom: 5px;
  border-radius: 4px;
  border: 2px solid;
  resize: none;
  height: 100px;
}

/* Make all of the headers the same */
.task-form h1,
.login-form h1,
.signup-form h1,
.project-list h1,
.project-form h1,
.project-detail h1 {
  margin-top: 0;
}

/* Add spacing to the section of the project detail */
.project-detail h2 {
  margin-top: 2em;
}

/* Standardize form layout using grid */
.task-form p,
.login-form p,
.signup-form p,
.project-form p {
  display: grid;
  align-items: center;
  column-gap: 10px;
  grid-template-columns: 100px 1fr;
}

/* Standardize help text positions in the grid */
.task-form p .helptext,
.login-form p .helptext,
.signup-form p .helptext,
.project-form p .helptext {
  grid-column-start: 2;
  grid-column-end: 3;
}

/* Make the buttons a little larger */
.task-form button,
.my-tasks-list button,
.login-form button,
.signup-form button,
.project-form button {
  padding: 0.25em 1em;
}

/* Add a nice box around the lists and details */
.my-tasks-list,
.project-list,
.project-detail {
  background-color: white;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  margin: auto;
  max-width: 900px;
  padding: 2em;
}

/* Add padding to the table header and table datum tags */
.my-tasks-list th,
.my-tasks-list td,
.project-list th,
.project-list td,
.project-detail th,
.project-detail td {
  padding: 0.5em;
}

/* Add a bottom border to the table header tags */
.my-tasks-list thead tr th,
.project-list thead tr th,
.project-detail thead tr th {
  border-bottom: 2px solid #dedede;
}

/* Center align the text on specific table header cells */
.my-tasks-list tbody td:nth-child(2),
.my-tasks-list tbody td:nth-child(3),
.my-tasks-list tbody td:nth-child(4),
.project-list tbody tr td,
.project-detail tbody td:nth-child(2),
.project-detail tbody td:nth-child(3),
.project-detail tbody td:nth-child(4),
.project-detail tbody td:nth-child(5) {
  text-align: center;
}

/* Add horizontal rules to all rows except the last */
.my-tasks-list tbody :not(tr:last-child) td,
.project-list tbody :not(tr:last-child) td,
.project-detail tbody :not(tr:last-child) td {
  border-bottom: 1px solid #dedede;
}

.footer {
  position: sticky;
  top: 100%;
  background-color: rgb(11, 99, 247);
  width: 100%;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
}

.header a:hover {
  color: white;
}

.logo {
  font-size: 32px;
  color: white;
  text-decoration: none;
  font-weight: bold;
}

.navbar a {
  position: relative;
  font-size: 18px;
  color: white;
  text-decoration: none;
  margin-left: 40px;
}

.navbar a::before {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 0;
  height: 2px;
  background: rgb(255, 255, 255);
  transition: 0.3s;
}

.navbar a:hover:before {
  width: 100%;
}

.header {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px 100px;
  background-color: rgb(11, 99, 247);
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}

#check {
  display: none;
}

.icons {
  position: absolute;
  font-size: 45px;
  color: white;
  cursor: pointer;
  display: none;
  right: 5%;
}

/* BREAKPOINTS */
@media (max-width: 900px) {
  .my-tasks-list {
    max-width: 800px;
  }
  .complete-button,
  .mark-complete-column {
    visibility: hidden;
  }
}
@media (max-width: 800px) {
  .my-tasks-list {
    max-width: 700px;
  }
  .complete-button,
  .mark-complete-column,
  .delete-column {
    visibility: hidden;
  }
}
@media (max-width: 700px) {
  .my-tasks-list {
    max-width: 600px;
  }
  .complete-button,
  .mark-complete-column,
  .delete-column,
  .note-column {
    visibility: hidden;
  }
}
@media (max-width: 600px) {
  table {
    max-width: 200px;
  }
  .complete-button,
  .mark-complete-column,
  .delete-column,
  .note-column,
  .date-column {
    visibility: hidden;
  }
  h1 {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  tbody {
    max-width: 400px;
  }
  .my-tasks-list {
    display: flex;
    flex-direction: column;
    max-width: 300px;
  }
}

@media (max-width: 850px) {
  .icons {
    display: inline-flex;
  }

  #check:checked ~ .icons #menu-icon {
    display: none;
  }

  .icons #exit-icon {
    display: none;
  }

  #check:checked ~ .icons #exit-icon {
    display: block;
  }

  .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgb(11, 99, 247);
    transition: 0.3s ease;
    overflow: hidden;
  }

  #check:checked ~ .navbar {
    height: 12rem;
  }

  .navbar a {
    display: block;
    font-size: 1.1rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    transition: 0.3s ease;
  }
}

#check:checked ~ .navbar a {
  transform: translateY(0);
}

/* Add colors and border radius to buttons */
.button {
  color: white;
  background-color: rgb(11, 99, 247);
  border-radius: 14px;
  border: none;
  cursor: pointer;
}

.project-button {
  color: white;
  background-color: green;
  padding: 7px 13px 7px 13px;
  border-radius: 14px;
  border: none;
  cursor: pointer;
}
.signup-button {
  color: white;
  background-color: rgb(11, 99, 247);
  padding: 7px 13px 7px 13px;
  border-radius: 14px;
  border: none;
  cursor: pointer;
  margin-top: 8px;
}
.project-button:hover {
  background-color: rgb(11, 99, 247);
  transition: 0.3s;
}

.delete-button {
  color: white;
  background-color: red;
  padding: 7px 13px 7px 13px;
  border-radius: 14px;
  border: none;
  cursor: pointer;
}

.delete-button:hover {
  background-color: rgb(185, 51, 51);
  transition: 0.3s;
}

.button:hover {
  background-color: green;
  transition: 0.3s;
}
.signup-button:hover {
  background-color: green;
  transition: 0.3s;
}
.create-button:hover {
  background-color: rgb(1, 100, 1);
  transition: 0.3s;
}

.create-button {
  text-decoration: none;
  color: white;
  background-color: green;
  border-radius: 19px;
  border: none;
  cursor: pointer;
}

.complete-button {
  background-color: rgb(0, 174, 255);
  color: white;
  border-radius: 17px;
  border: none;
}
.complete-button:hover {
  background-color: rgb(20, 151, 211);
  transition: 0.3s;
}
